using System;
using System.Web.UI.WebControls;
using System.Web.UI;

namespace Interval.LoginTemplateControl
{
	/// <summary>
	/// Standardn ablona pro nepihlenho uivatele
	/// </summary>
	public class DefaultAnonymousTemplate : ITemplate
	{
		#region Constructors
		/// <summary>
		/// Konstruktor
		/// </summary>
		internal DefaultAnonymousTemplate()
		{
		}
		#endregion Constructors

		#region public methods
		#region ITemplate Members
		/// <summary>
		/// Implementace InstantiateIn - vytvoen ovldacch prvk anonymn ablony
		/// </summary>
		/// <param name="container">Ovldac prvek, do jeho kolekce Controls bzdou prvky ablony pidny</param>
		public void InstantiateIn(Control container)
		{
			Label lblMessage = new Label();
			lblMessage.ID = "lblMessage";
			lblMessage.DataBinding += new EventHandler(lblMesssage_DataBind);
			
			LiteralControl separator = new LiteralControl("&nbsp;");
			
			LinkButton btnLogin = new LinkButton();
			btnLogin.ID = "btnLogin";
			btnLogin.Text = "Pihlsit";
			btnLogin.CommandName = LoginControl.LOGIN_BUTTON_NAME;

			container.Controls.Add(lblMessage);
			container.Controls.Add(separator);
			container.Controls.Add(btnLogin);


		}

		#endregion ITemplate Members
		#endregion public methods
		
		#region private methods
		//Handler udlosti DataBind prvku lblMessage
		private void lblMesssage_DataBind(object sender, EventArgs e)
		{
			Label lblMessage = (Label) sender;
			LoginControlContent currContent = lblMessage.NamingContainer as LoginControlContent;
			lblMessage.Text = currContent.AnonymousMessage;
		}
		#endregion private methods
	}
}
